Skip to main content
GET
Analyst Rating

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

ticker
string

A single ticker

Example:

"AAPL"

limit
integer

How many items to return. Default: 500, Max: 500, Min: 1

action
enum<string>

The action of the recommendation.

Available options:
initiated,
reiterated,
downgraded,
upgraded,
maintained
Example:

"maintained"

recommendation
enum<string>

The recommendation the analyst gave out.

Available options:
buy,
hold,
sell
Example:

"hold"

newer_than
string

The unix time in milliseconds or seconds at which no older results will be returned. Can be used with older_than to paginate by time. Also accepts an ISO date or RFC 3339 datetime (example: 2024-01-25).

Example:

"1_715_083_417"

older_than
string

The unix time in milliseconds or seconds at which no newer results will be returned. Can be used with newer_than to paginate by time. Also accepts an ISO date or RFC 3339 datetime (example: 2024-01-25).

Example:

"1_715_083_417"

Response

Analyst rating response

A rating of an analyst.

action
enum<string>

The action of the recommendation.

Available options:
initiated,
reiterated,
downgraded,
upgraded,
maintained,
target raised,
target lowered
Example:

"maintained"

analyst_name
string

The name of the analyst.

Example:

"David Vogt"

firm
string

The firm the analyst is working for.

Example:

"UBS"

recommendation
enum<string>

The recommendation the analyst gave out.

Available options:
buy,
hold,
sell
Example:

"hold"

sector
enum<string>

The financial sector of the ticker. Empty if unknown or not applicable such as ETF/Index.

Available options:
Basic Materials,
Communication Services,
Consumer Cyclical,
Consumer Defensive,
Energy,
Financial Services,
Healthcare,
Industrials,
Real Estate,
Technology,
Utilities
Example:

"Technology"

target
string

The target price of the rating.

Example:

"190.0"

ticker
any

A financial sector.

timestamp
string

The UTC timestamp, when the rating was released.

Example:

"2023-09-08T12:21:10.000Z"

Last modified on September 29, 2026